net.minecraft.world

## Class WorldServerMulti

- java.lang.Object
- - net.minecraft.world.World
  - - net.minecraft.world.WorldServer
    - - net.minecraft.world.WorldServerMulti

- All Implemented Interfaces:
    IBlockAccess

      public class WorldServerMulti
      extends WorldServer

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.world.WorldServer

      `allPlayersSleeping, bonusChestContent, canNotSave, customTeleporters, theChunkProviderServer`

    - ### Fields inherited from class net.minecraft.world.World

      `activeChunkSet, difficultySetting, editingBlocks, findingSpawnPoint, isRemote, lastLightningBolt, loadedEntityList, loadedTileEntityList, mapStorage, MAX_ENTITY_RADIUS, perWorldStorage, playerEntities, prevRainingStrength, prevThunderingStrength, provider, rainingStrength, rand, scheduledUpdatesAreImmediate, skylightSubtracted, theProfiler, thunderingStrength, villageCollectionObj, weatherEffects`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorldServerMulti(MinecraftServer par1MinecraftServer, ISaveHandler par2ISaveHandler, String par3Str, int par4, WorldSettings par5WorldSettings, WorldServer par6WorldServer, Profiler par7Profiler)`

  - ### Method Summary

    - ### Methods inherited from class net.minecraft.world.WorldServer

      `addBlockEvent, addWeatherEffect, areAllPlayersAsleep, canMineBlock, canMineBlockBody, flush, func_82740_a, func_85176_s, getAllTileEntityInBox, getChunkSaveLocation, getEntityByID, getEntityTracker, getEntrancePortalLocation, getMinecraftServer, getPendingBlockUpdates, getPlayerManager, newExplosion, releaseEntitySkin, resetUpdateEntityTick, saveAllChunks, scheduleBlockUpdate, scheduleBlockUpdateFromLoad, setEntityState, setSpawnLocation, spawnRandomCreature, tick, tickUpdates, uncheckedUpdateEntity, updateAllPlayersSleepingFlag, updateEntities, updateEntityWithOptionalForce`

    - ### Methods inherited from class net.minecraft.world.World

      `addLoadedEntities, addTileEntity, addTileEntity, addWorldAccess, addWorldInfoToCrashReport, blockExists, blockGetRenderType, blockHasTileEntity, calculateInitialSkylight, calculateInitialWeatherBody, calculateSkylightSubtracted, canBlockFreeze, canBlockFreezeBody, canBlockSeeTheSky, canLightningStrikeAt, canPlaceEntityOnSide, canSnowAt, canSnowAtBody, checkChunksExist, checkIfAABBIsClear, checkIfAABBIsClearExcludingEntity, checkSessionLock, countEntities, createExplosion, destroyBlockInWorldPartially, doChunksNearChunkExist, doesBlockHaveSolidTopSurface, drawClouds, drawCloudsBody, extendedLevelsInChunkCache, extinguishFire, findClosestStructure, findNearestEntityWithinAABB, func_82734_g, func_82735_a, func_82738_a, func_82739_e, func_85174_u, func_92088_a, getActualHeight, getAllCollidingBoundingBoxes, getBiomeGenForCoords, getBiomeGenForCoordsBody, getBlockDensity, getBlockId, getBlockLightOpacity, getBlockLightValue_do, getBlockLightValue, getBlockMaterial, getBlockMetadata, getBlockTileEntity, getBrightness, getCelestialAngle, getCelestialAngleRadians, getChunkFromBlockCoords, getChunkFromChunkCoords, getChunkProvider, getClosestPlayer, getClosestPlayerToEntity, getClosestVulnerablePlayer, getClosestVulnerablePlayerToEntity, getCollidingBoundingBoxes, getCurrentDate, getDebugLoadedEntities, getEntitiesWithinAABB, getEntitiesWithinAABBExcludingEntity, getEntityPathToXYZ, getFirstUncoveredBlock, getFogColor, getFullBlockLightValue, getGameRules, getHeight, getHeightValue, getHorizon, getLightBrightness, getLightBrightnessForSkyBlocks, getLoadedEntityList, getMoonPhase, getPathEntityToEntity, getPersistentChunks, getPlayerEntityByName, getPrecipitationHeight, getProviderName, getRainStrength, getSavedLightValue, getSaveHandler, getSeed, getSkyBlockTypeBrightness, getSkyColor, getSkyColorBody, getSpawnPoint, getStarBrightness, getStarBrightnessBody, getSunBrightness, getTopSolidOrLiquidBlock, getTotalWorldTime, getUniqueDataId, getWeightedThunderStrength, getWorldChunkManager, getWorldInfo, getWorldTime, getWorldVec3Pool, handleMaterialAcceleration, isAABBInMaterial, isAABBNonEmpty, isAirBlock, isAnyLiquid, isBlockFreezable, isBlockFreezableNaturally, isBlockGettingPowered, isBlockHighHumidity, isBlockIndirectlyGettingPowered, isBlockIndirectlyProvidingPowerTo, isBlockNormalCube, isBlockNormalCubeDefault, isBlockOpaqueCube, isBlockProvidingPowerTo, isBlockSolidOnSide, isBlockSolidOnSide, isBoundingBoxBurning, isDaytime, isMaterialInBB, isRaining, isThundering, joinEntityInSurroundings, loadItemData, markBlockForRenderUpdate, markBlockForRenderUpdate2, markBlockForUpdate, markBlockRangeForRenderUpdate, markBlocksDirtyVertical, markTileEntityForDespawn, notifyBlockChange, notifyBlocksOfNeighborChange, playAuxSFX, playAuxSFXAtEntity, playRecord, playSound, playSoundAtEntity, playSoundEffect, playSoundToNearExcept, rayTraceBlocks_do_do, rayTraceBlocks_do, rayTraceBlocks, removeBlockTileEntity, removeEntity, removePlayerEntityDangerously, removeWorldAccess, selectEntitiesWithinAABB, sendQuittingDisconnectingPacket, setAllowedSpawnTypes, setBlock, setBlockAndMetadata, setBlockAndMetadataWithNotify, setBlockAndMetadataWithUpdate, setBlockMetadata, setBlockMetadataWithNotify, setBlockTileEntity, setBlockWithNotify, setItemData, setLightValue, setRainStrength, setRandomSeed, setSpawnLocation, setWorldTime, spawnEntityInWorld, spawnParticle, toggleRain, unloadEntities, updateAllLightTypes, updateEntity, updateLightByType, updateTileEntityChunkAndDoNothing, updateWeatherBody`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WorldServerMulti

          public WorldServerMulti(MinecraftServer par1MinecraftServer,
                          ISaveHandler par2ISaveHandler,
                          String par3Str,
                          int par4,
                          WorldSettings par5WorldSettings,
                          WorldServer par6WorldServer,
                          Profiler par7Profiler)